<?php

/**
 * This file contains QUI\MetaMask\EventHandler
 */

namespace QUI\MetaMask;

use QUI;
use QUI\Interfaces\Users\User;

/**
 * Class EventHandler
 */
class EventHandler
{
    /**
     * @param User $User
     */
    public static function onUserLoad(User $User): void
    {
        $eth = MetaMask::getUserEthAddress($User->getId());

        if ($eth) {
            $User->setAttribute('eth.address', $eth);
        }
    }
}
