<?php

/**
 * Search for the desktop
 *
 * @param string $search
 * @param string $params
 *
 * @return array
 */

QUI::$Ajax->registerFunction(
    'package_quiqqer_authmetamask_ajax_login',
    function ($address) {
        if (empty($address)) {
            return '';
        }

        $result = QUI::getDataBase()->fetch([
            'from' => QUI\MetaMask\MetaMask::table(),
            'where' => [
                'address' => $address
            ],
            'limit' => 1
        ]);

        if (!isset($result[0])) {
            $nonce = \uniqid();

            QUI::getDataBase()->insert(QUI\MetaMask\MetaMask::table(), [
                'nonce' => $nonce,
                'address' => $address
            ]);
        } else {
            $nonce = $result[0]['nonce'];
        }

        return $nonce;
    },
    ['address']
);
